Subject: Is the USEFOR->USEPRO dependency normative?

From: Alexey Melnikov <[email-masked]>
Date: Thu, 14 Sep 2006 15:31:16 +0100

>at the moment, and since at least version -00 of -usefor, usepro
>has been listed under INFORMATIVE references. So if the RFC
>Editor believes what we write, he won't block it.
>Furthermore, I don't see that the references are of such a
>nature that they would be taken as normative.
>  
>
>The references to USEPRO are:
>  
>
[skipped]

> We have talked before about the need to hold back USEFOR in case we 
> discover the need to make changes in USEFOR while we are sorting 
> through the details of USEPRO. But I don't see that it's obvious that 
> it's a true normative dependency.

I don't think any of the references listed above are normative for
USEFOR, at least understanding of USEPRO is not needed to construct a
syntactically valid article.
I always envisioned that USEPRO would reference USEFOR normatively, but
no normative reference in the opposite direction.

>If someone wishes to argue that it is, please state:
>
>- Which of the references above you see as "normative"
>  
>
> - That you think the USEPRO reference needs to be moved from the 
> "informative" to the "normative" section.
>
>The moving is a quick edit. But I'm not certain we need to do it.
>